%define name libshttp
%define version 0.1.0
%define release 1

%ifarch i386
%define libdir %{_prefix}/lib
%endif
%ifarch x86_64
%define libdir %{_prefix}/lib64
%endif
%define mandir %{_prefix}/share/man

# Macro that print mesages to syslog at package (un)install time
%define nnmmsg logger -t %{name}/rpm

Summary: Provides the libshttp runtime library
URL: http://www.opencomputingsolutions.com/projects/libcutil/
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Application/System
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: bash, grep
PreReq: /usr/bin/logger, chkconfig, sh-utils, shadow-utils, sed, initscripts, fileutils, mktemp

%post
ldconfig -n %{libdir}

%description
libshttp is a small library of C routines for creating and parsing HTTP
protocol messages.
This package provides the shared library required to execute programs
compiled with this library.

%package devel
Group: Application/System
Summary: Provides the libshttp development headers and libraries
Requires: libcutil

%description devel
libshttp is a small library of C routines for creating and parsing HTTP
protocol messages.
This package provides the development headers and libraries.

%prep
%setup -q


%build
export PATH=$PATH:/usr/sbin
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{libdir} \
	--mandir=%{mandir}

make all

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 0755 ${RPM_BUILD_ROOT}/%{libdir}
install -d -m 0755 ${RPM_BUILD_ROOT}/%{mandir}
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_prefix}/include
make DESTDIR=${RPM_BUILD_ROOT} install

# install templated configuration files

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(755,root,root)
%{libdir}/libshttp.so*
#%{mandir}/man3/*
#%defattr(755,root,root)
%doc ChangeLog COPYING README 

%files devel
%defattr(755,root,root)
%dir %{_prefix}/include/shttp
%{libdir}/libshttp.a
%{libdir}/libshttp.la
%{_prefix}/include/shttp/*.h


%changelog
* Mon Sep 22 2008 Todd Shadburn <tshadb@opencomputingsolutions.com>
	- New .spec file created.

